### Hierarchy

- Controller

## Index

### Properties

- edate
- edateOptions
- gettextCatalog_
- initialMaxDate
- initialMinDate
- isModeRange
- ngeoTime_
- onDateSelected
- sdate
- sdateOptions
- time

### Methods

- init

## Properties

### edate

edate: Date

- Defined in src/misc/datepickerComponent.js:231

End date model for the second datepicker (only for range mode)

### edateOptions

edateOptions: unknown

- Defined in src/misc/datepickerComponent.js:204

Datepicker options for the second datepicker (only for range mode)

### gettextCatalog_

gettextCatalog_: gettextCatalog

- Defined in src/misc/datepickerComponent.js:169

The gettext catalog

### initialMaxDate

initialMaxDate: Date

- Defined in src/misc/datepickerComponent.js:197

Initial max date for the datepickeronDateSelected

### initialMinDate

initialMinDate: Date

- Defined in src/misc/datepickerComponent.js:190

Initial min date for the datepicker

### isModeRange

isModeRange: boolean

- Defined in src/misc/datepickerComponent.js:176

If the component is used to select a date range

### ngeoTime_

ngeoTime_: Time

- Defined in src/misc/datepickerComponent.js:157

### onDateSelected

onDateSelected: (arg0: { time: { end: number; start: number } }) => void

- Defined in src/misc/datepickerComponent.js:183

#### Type declaration

- - (arg0: { time: { end: number; start: number } }): void

  - Function called after date(s) changed/selected

    #### Parameters

    - ##### arg0: { time: { end: number; start: number } }

      - ##### time: { end: number; start: number }

        - ##### end: number

        - ##### start: number

    #### Returns void

### sdate

sdate: Date

- Defined in src/misc/datepickerComponent.js:224

Start date model for the first date picker

### sdateOptions

sdateOptions: unknown

- Defined in src/misc/datepickerComponent.js:214

Datepicker options for the first datepicker

### time

time: TimeProperty

- Defined in src/misc/datepickerComponent.js:162

## Methods

### init

- init(): void

- - Defined in src/misc/datepickerComponent.js:259

  Initialise the controller.

  #### Returns void

Generated using TypeDoc